## com.sun.grizzly
Class ControllerStateListenerAdapter

    java.lang.Object
      com.sun.grizzly.ControllerStateListenerAdapter

All Implemented Interfaces:
  ControllerStateListener

    public class ControllerStateListenerAdapter

extends Object
implements ControllerStateListener

Empty implementation of `ControllerStateListener`

Author:
  Alexey Stashok

Constructor Summary
`ControllerStateListenerAdapter()`

Method Summary
`void` `onException(Throwable e)` Notification: Exception occured during Controller thread execution
`void` `onReady()` Notification: Controller is ready to process connections; `SelectorHandler`s were initialized
`void` `onStarted()` Nofitication: Controller was started, pipelines were initialized
`void` `onStopped()` Notification: Controller was stopped, all worker threads were stopped

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerStateListenerAdapter

    public ControllerStateListenerAdapter()

Method Detail

### onStarted

    public void onStarted()

  Description copied from interface: `ControllerStateListener`
  Nofitication: Controller was started, pipelines were initialized

  Specified by:
    `onStarted` in interface `ControllerStateListener`

### onReady

    public void onReady()

  Description copied from interface: `ControllerStateListener`
  Notification: Controller is ready to process connections; `SelectorHandler`s were initialized

  Specified by:
    `onReady` in interface `ControllerStateListener`

### onStopped

    public void onStopped()

  Description copied from interface: `ControllerStateListener`
  Notification: Controller was stopped, all worker threads were stopped

  Specified by:
    `onStopped` in interface `ControllerStateListener`

### onException

    public void onException(Throwable e)

  Description copied from interface: `ControllerStateListener`
  Notification: Exception occured during Controller thread execution

  Specified by:
    `onException` in interface `ControllerStateListener`

Copyright © 2008 SUN Microsystems. All Rights Reserved.